/*
 * AcceptorProfileFactory_impl.java
 */
package rsnp.sample.acceptor;

import org.robotservices.v02.profile.acceptor.IMultimedia_profile;
import org.robotservices.v02.profile.acceptor.IMotion_profile; 

import com.fujitsu.rsi.client.acceptor.base.AcceptorProfileFactoryBase;

/**
 * AcceptorProfileFactoryの実装クラス
 *
 */
public class AcceptorProfileFactory_impl extends AcceptorProfileFactoryBase {

	/*
	 * (非 Javadoc)
	 *
	 * @seecom.fujitsu.rsi.client.acceptor.base.AcceptorProfileFactoryBase#
	 * getMultimedia_profile()
	 */
	@Override
	public IMultimedia_profile getMultimedia_profile() {
		return new Multimedia_profile_impl();
	}
	@Override
	public IMotion_profile getMotion_profile() {
		return new Motion_profile_impl();
	}
}
