/*
 * Motion_profile_impl.java
 */
package rsnp.sample.acceptor;

import org.robotservices.v02.profile.common.Ret_value;
import com.fujitsu.rsi.client.acceptor.base.MotionProfileBase;

import android.media.ToneGenerator;
import android.media.AudioManager;

public class Motion_profile_impl extends MotionProfileBase {
	@Override
	public Ret_value declare_control(long conv_id) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile declare");
		return ret;
	}

	@Override
	public Ret_value release_control(long conv_id) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile release");
		return ret;
	}

	@Override
	public Ret_value forward(long conv_id, double distance, String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile forward");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value backward(long conv_id, double distance, String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile back");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value right(long conv_id, double radius, double degree,
			String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile right");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value left(long conv_id, double radius, double degree,
			String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile left");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value spin_right(long conv_id, double degree, String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile spinRight");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value spin_left(long conv_id, double degree, String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile spinLeft");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP);
		return ret;
	}

	@Override
	public Ret_value stop(long conv_id, String option) {
		Ret_value ret = new Ret_value();
		System.out.println("in the motionProfile stop");
		ToneGenerator toneGenerator = new ToneGenerator(
				AudioManager.STREAM_SYSTEM, ToneGenerator.MAX_VOLUME);
		toneGenerator.startTone(ToneGenerator.TONE_PROP_BEEP2);
		return ret;
	}
}