/*
 * ImageProvidor.java
 */
package rsnp.sample;

/**
 * 画像を取得するインターフェース
 *
 */
public interface ImageProvidor {

	/**
	 * 指定された形式の画像バイト配列を取得する
	 *
	 * @param type
	 *            画像形式
	 * @return 画像のバイト配列
	 */
	public byte[] getImage(String type);
}
